// Copyright (c) 2024 Codemongous LLC. All Rights Reserved.

#include "SCW_UGeneralProjectSettings.h"
#include "Runtime/EngineSettings/Classes/GeneralProjectSettings.h"
#include "SourcifyCoreUEWrapperModule.h"

using namespace Sourcify;

SCW_UGeneralProjectSettings::SCW_UGeneralProjectSettings(UGeneralProjectSettings* InGeneralProjectSettings) : SCW_UObject(InGeneralProjectSettings), GeneralProjectSettings(InGeneralProjectSettings)
{

}

wstring SCW_UGeneralProjectSettings::GetCopyrightNotice() const
{
	return *GeneralProjectSettings->CopyrightNotice;
}

UGeneralProjectSettings* SCW_UGeneralProjectSettings::ToUGeneralProjectSettings() const
{
	return GeneralProjectSettings;
}

ISCW_UGeneralProjectSettingsPtr SCW_UGeneralProjectSettings::ToUGeneralProjectSettingsPtr()
{
	return GetSharedThisAs<SCW_UGeneralProjectSettings>();
}

ISCW_UGeneralProjectSettingsConstPtr SCW_UGeneralProjectSettings::ToUGeneralProjectSettingsPtr() const
{
	return GetSharedThisAs<SCW_UGeneralProjectSettings>();
}